package de.apps4ics.mountainnavigation.pois;

import de.apps4ics.mountainnavigation.Types;

/**
 * Created by Vinz on 03.11.2015.
 */
public class DbGeoPoint extends Poi {
    private double lat;
    private double lon;
    private double alt;
    private long _time;
    private String _type_id; //<poi-type>_<poi-id-in-table> => hut_2

    public DbGeoPoint(long _id) {
        super(_id, Types.GP);
    }
    public DbGeoPoint(){
        super(Types.GP);
    }

    public DbGeoPoint(double aLatitude, double aLongitude, double aAltitude) {
        this(aLatitude, aLongitude, aAltitude, System.currentTimeMillis());
    }

    public DbGeoPoint(double aLatitude, double aLongitude, double aAltitude, long _time) {
        this(0, aLatitude, aLongitude, aAltitude, _time, "");
    }

    public DbGeoPoint(long id, double lat, double lon, double alt, long time, String type_id){
        super(id, Types.GP);
        this.lat = lat;
        this.lon = lon;
        this.alt = alt;
        this._time = time;
        this._type_id = type_id;
    }

    public double getLat(){
        return lat;
    }

    public double getLon(){
        return lon;
    }

    public double getAlt(){
        return alt;
    }

    public long getTime(){
        return _time;
    }

    public String getTypeId(){
        return _type_id;
    }

    public void setTypeId(String typeId){
        _type_id = typeId;
    }

    public void setId(long id){
        _id = id;
    }
}
